PROGRAM_NAME='Buttons'

define_constant

 BTN_GO_PLAYBACK = 10
 BTN_PAGE_DOWN = 11
 BTN_PAGE_UP = 12
 BTN_LAYOUT_DOWN = 13 
 BTN_LAYOUT_UP = 14
 BTN_RECORD_TOGGLE = 15
 BTN_GO_LIVE_VIEW = 16
 BTN_MONTH_PREVIOUS = 17
 BTN_MONTH_NEXT = 18
 BTN_DAY_PREVIOUS = 19
 BTN_DAY_NEXT = 20
 BTN_PLAY = 21
 BTN_PAUSE = 22
 BTN_SKIP_BACKWARD = 23 
 BTN_SKIP_FORWARD = 24 
 BTN_BACKWARD = 25
 BTN_FORWARD = 26
 BTN_STOP = 27
 BTN_CHANNEL_DOWN = 28 
 BTN_CHANNEL_UP = 29
 BTN_MUTE_TOGGLE = 30

 BTN_FULL_SCREEN_TOGGLE = 40
 BTN_PTZ_DEG_PAN_PLUS = 41			
 BTN_PTZ_DEG_TILT_PLUS = 42			
 BTN_PTZ_DEG_ZOOM_PLUS = 43	
 BTN_PTZ_DEG_PAN_MINUS = 44	
 BTN_PTZ_DEG_TILT_MINUS	= 45		
 BTN_PTZ_DEG_ZOOM_MINUS = 46

 BTN_0 = 50
 BTN_1 = 51 
 BTN_2 = 52
 BTN_3 = 53
 BTN_4 = 54
 BTN_5 = 55
 BTN_6 = 56
 BTN_7 = 57
 BTN_8 = 58
 BTN_9 = 59
 
 BTN_GOTO_LAYOUT_1 = 81
 BTN_GOTO_LAYOUT_2 = 82
 BTN_GOTO_LAYOUT_3 = 83
 BTN_GOTO_LAYOUT_4 = 84
 BTN_GOTO_LAYOUT_5 = 85
 BTN_GOTO_LAYOUT_6 = 86
 BTN_GOTO_LAYOUT_7 = 87
 BTN_GOTO_LAYOUT_8 = 88
 BTN_GOTO_LAYOUT_9 = 89
 
 BTN_GOTO_PRESET_1 = 101
 BTN_GOTO_PRESET_2 = 102
 BTN_GOTO_PRESET_3 = 103
 BTN_GOTO_PRESET_4 = 104
 BTN_GOTO_PRESET_5 = 105
 BTN_GOTO_PRESET_6 = 106
 BTN_GOTO_PRESET_7 = 107
 BTN_GOTO_PRESET_8 = 108
 BTN_GOTO_PRESET_9 = 109
 BTN_GOTO_PRESET_10 = 110
 
 BTN_CHANNEL_1 = 131
 BTN_CHANNEL_2 = 132
 BTN_CHANNEL_3 = 133
 BTN_CHANNEL_4 = 134
 BTN_CHANNEL_5 = 135
 BTN_CHANNEL_6 = 136
 BTN_CHANNEL_7 = 137
 BTN_CHANNEL_8 = 138
 BTN_CHANNEL_9 = 139
 BTN_CHANNEL_10 = 140
 BTN_CHANNEL_11 = 141
 BTN_CHANNEL_12 = 142
 BTN_CHANNEL_13 = 143
 BTN_CHANNEL_14 = 144
 BTN_CHANNEL_15 = 145
 BTN_CHANNEL_16 = 146
 BTN_CHANNEL_17 = 147
 BTN_CHANNEL_18 = 148
 BTN_CHANNEL_19 = 149
 BTN_CHANNEL_20 = 150
 BTN_CHANNEL_21 = 151
 BTN_CHANNEL_22 = 152
 BTN_CHANNEL_23 = 153
 BTN_CHANNEL_24 = 154
 BTN_CHANNEL_25 = 155
 BTN_CHANNEL_26 = 156
 BTN_CHANNEL_27 = 157
 BTN_CHANNEL_28 = 158
 BTN_CHANNEL_29 = 159
 BTN_CHANNEL_30 = 160
 BTN_CHANNEL_31 = 161
 BTN_CHANNEL_32 = 162
 BTN_CHANNEL_33 = 163
 BTN_CHANNEL_34 = 164
 BTN_CHANNEL_35 = 165 
 BTN_CHANNEL_36 = 166
 BTN_CHANNEL_37 = 167
 BTN_CHANNEL_38 = 168
 BTN_CHANNEL_39 = 169
 BTN_CHANNEL_40 = 170
 BTN_CHANNEL_41 = 171
 BTN_CHANNEL_42 = 172
 BTN_CHANNEL_43 = 173
 BTN_CHANNEL_44 = 174
 BTN_CHANNEL_45 = 175
 BTN_CHANNEL_46 = 176
 BTN_CHANNEL_47 = 177
 BTN_CHANNEL_48 = 178
 BTN_CHANNEL_49 = 179
 BTN_CHANNEL_50 = 180
 BTN_CHANNEL_51 = 181
 BTN_CHANNEL_52 = 182
 BTN_CHANNEL_53 = 183
 BTN_CHANNEL_54 = 184
 BTN_CHANNEL_55 = 185
 BTN_CHANNEL_56 = 186
 BTN_CHANNEL_57 = 187 
 BTN_CHANNEL_58 = 188
 BTN_CHANNEL_59 = 189
 BTN_CHANNEL_60 = 190
 BTN_CHANNEL_61 = 191
 BTN_CHANNEL_62 = 192
 
 
 define_variable


Constant INTEGER BTN_COMMANDS[] = 
{
 BTN_GO_PLAYBACK, BTN_PAGE_DOWN, BTN_PAGE_UP, BTN_LAYOUT_DOWN,
 BTN_LAYOUT_UP, BTN_RECORD_TOGGLE, BTN_GO_LIVE_VIEW, BTN_MONTH_PREVIOUS,
 BTN_MONTH_NEXT, BTN_DAY_PREVIOUS, BTN_DAY_NEXT, BTN_PLAY,
 BTN_PAUSE, BTN_SKIP_BACKWARD, BTN_SKIP_FORWARD, BTN_BACKWARD,
 BTN_FORWARD, BTN_STOP, BTN_CHANNEL_DOWN, BTN_CHANNEL_UP,
 BTN_MUTE_TOGGLE, BTN_FULL_SCREEN_TOGGLE, 
 BTN_0, BTN_1, BTN_2, BTN_3, BTN_4, BTN_5, BTN_6, BTN_7, BTN_8, BTN_9
};

Constant INTEGER BTN_PTZ[] = 
{
 BTN_PTZ_DEG_PAN_PLUS, BTN_PTZ_DEG_TILT_PLUS,			
 BTN_PTZ_DEG_ZOOM_PLUS, BTN_PTZ_DEG_PAN_MINUS, 
 BTN_PTZ_DEG_TILT_MINUS, BTN_PTZ_DEG_ZOOM_MINUS
};

Constant INTEGER BTN_LAYOUT[] = 
{
 BTN_GOTO_LAYOUT_1, BTN_GOTO_LAYOUT_2,
 BTN_GOTO_LAYOUT_3, BTN_GOTO_LAYOUT_4,
 BTN_GOTO_LAYOUT_5, BTN_GOTO_LAYOUT_6,
 BTN_GOTO_LAYOUT_7, BTN_GOTO_LAYOUT_8,
 BTN_GOTO_LAYOUT_9
};

Constant INTEGER BTN_PRESET[] = 
{
 BTN_GOTO_PRESET_1, BTN_GOTO_PRESET_2,
 BTN_GOTO_PRESET_3, BTN_GOTO_PRESET_4,
 BTN_GOTO_PRESET_5, BTN_GOTO_PRESET_6,
 BTN_GOTO_PRESET_7, BTN_GOTO_PRESET_8,
 BTN_GOTO_PRESET_9, BTN_GOTO_PRESET_10
};

Constant INTEGER BTN_CHANNEL[] = 
{
 BTN_CHANNEL_1, BTN_CHANNEL_2, BTN_CHANNEL_3, BTN_CHANNEL_4,
 BTN_CHANNEL_5, BTN_CHANNEL_6, BTN_CHANNEL_7, BTN_CHANNEL_8,
 BTN_CHANNEL_9, BTN_CHANNEL_10, BTN_CHANNEL_11, BTN_CHANNEL_12,
 BTN_CHANNEL_13, BTN_CHANNEL_14, BTN_CHANNEL_15, BTN_CHANNEL_16,
 BTN_CHANNEL_17, BTN_CHANNEL_18, BTN_CHANNEL_19, BTN_CHANNEL_20,
 BTN_CHANNEL_21, BTN_CHANNEL_22, BTN_CHANNEL_23, BTN_CHANNEL_24,
 BTN_CHANNEL_25, BTN_CHANNEL_26, BTN_CHANNEL_27, BTN_CHANNEL_28,
 BTN_CHANNEL_29, BTN_CHANNEL_30, BTN_CHANNEL_31, BTN_CHANNEL_32, 
 BTN_CHANNEL_33, BTN_CHANNEL_34, BTN_CHANNEL_35, BTN_CHANNEL_36,
 BTN_CHANNEL_37, BTN_CHANNEL_38, BTN_CHANNEL_39, BTN_CHANNEL_40,
 BTN_CHANNEL_41, BTN_CHANNEL_42, BTN_CHANNEL_43, BTN_CHANNEL_44,
 BTN_CHANNEL_45, BTN_CHANNEL_46, BTN_CHANNEL_47, BTN_CHANNEL_48,
 BTN_CHANNEL_49, BTN_CHANNEL_50, BTN_CHANNEL_51, BTN_CHANNEL_52,
 BTN_CHANNEL_53, BTN_CHANNEL_54, BTN_CHANNEL_55, BTN_CHANNEL_56,
 BTN_CHANNEL_57, BTN_CHANNEL_58, BTN_CHANNEL_59, BTN_CHANNEL_60,
 BTN_CHANNEL_61, BTN_CHANNEL_62
 };
